
Redmine - Defect #10228

Redmine on FreeBSD from ports (1.3.1 don't work with RubyGems 1.8.x)

2012-02-13 15:42 - VVD VVD

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.1

Description

FreeBSD have only one port of RubyGems - devel/ruby-gems. Its current version is 1.8.11 (ruby18-gems-1.8.11).

Redmine in ports is last release - 1.3.1, but it will not work with RubyGems 1.8.x.

I know that there are plans to make default Ruby 1.9 in FreeBSD ports. 1.3.1 don't support Ruby 1.9 too.

And I know that current development version of Redmine ("trunk") supports both RubyGems 1.8.x and Ruby 1.9.

New Java SDK for Web-Api supports only Redmine 1.3.x. We are developing integration Redmine with our internal system now and

want to use new Web-Api.

May be you can make release 1.3.2 with RubyGems 1.8.x support?

Thanks!

History

#1 - 2012-07-23 01:41 - VVD VVD

- Status changed from New to Resolved

Not actual any more - installed 2.0.3 not from ports and with ruby 1.9.3 from ports + ruby gems 1.8.24 from ports too.

But have troubles with running old plugins:

timesheet_plugin

bulk_time_entry_plugin

redmine_attach_screenshot

redmine_blocks

redmine_jchat

redmine_polls

#2 - 2012-07-23 09:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

May be you can make release 1.3.2 with RubyGems 1.8.x support?

 Sorry but 1.3.x is not supported any more.

#3 - 2012-07-23 09:31 - VVD VVD

As I already said "Not actual any more - installed 2.0.3".

Want to migrate from 1.2.1 to 2.0.3 and have troubles with run all 6 plugins...

But I think this have to be other issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-12 1/1

http://www.tcpdf.org

